## org.freedesktop.Gypsy.Accuracy

org.freedesktop.Gypsy.Accuracy — Accuracy interface

## Methods

    GetAccuracy (out 'i'fields,
                 out 'd'pdop,
                 out 'd'hdop,
                 out 'd'vdop)

## Signals

    AccuracyChanged ('i'fields,
                     'd'pdop,
                     'd'hdop,
                     'd'vdop)

## Implemented Interfaces

org.freedesktop.Gypsy.Accuracy implements org.freedesktop.DBus.Introspectable, org.freedesktop.DBus.Properties

## Properties

## Description

Accuracy objects are used to determine the accuracy of the current position. The accuracy is called "dilution of precision" with 1.0 being the an ideal fix, and higher values meaning less accuracy.

## Details

### GetAccuracy ()

    GetAccuracy (out 'i' fields,
                 out 'd' pdop,
                 out 'd' hdop,
                 out 'd' vdop)

`fields`: | Bitfield specifying what fields are set. 1: Position, 2: Horizontal, 4: Vertical.
`pdop`: | The positional (3D) dilution of precision.
`hdop`: | The horizontal (2D) dilution of precision.
`vdop`: | The vertical (altitude) dilution of precision.

## Signal Details

### The AccuracyChanged signal

    AccuracyChanged ('i' fields,
                     'd' pdop,
                     'd' hdop,
                     'd' vdop)

`fields`: | Bitfield specifying what fields are set. 1: Position, 2: Horizontal, 4: Vertical.
`pdop`: | The positional (3D) dilution of precision.
`hdop`: | The horizontal (2D) dilution of precision.
`vdop`: | The vertical (altitude) dilution of precision.

## Property Details